### Method

# Pango Context get_gravity

since: 1.16

#### Declaration [src]

    PangoGravity
    pango_context_get_gravity (
      PangoContext* context
    )

#### Description [src]

Retrieves the gravity for the context.

This is similar to `pango_context_get_base_gravity()`, except for when the base gravity is `PANGO_GRAVITY_AUTO` for which `pango_gravity_get_for_matrix()` is used to return the gravity from the current context matrix.

Available since: 1.16

#### Return value

Type: `PangoGravity`

The resolved gravity for the context.